import { _ as _applyDecoratedDescriptor, a as _initializerDefineProperty } from '../_rollupPluginBabelHelpers-Tal3HOKH.js';
import { assert } from '@ember/debug';
import Service from '@ember/service';
import { isBlank } from '@ember/utils';
import { importSync } from '@embroider/macros';
import { tracked } from '@glimmer/tracking';
import dayjs from 'dayjs';

var _class, _descriptor;
let DayjsService = (_class = class DayjsService extends Service {
  constructor(...args) {
    super(...args);
    _initializerDefineProperty(this, "locale", _descriptor, this);
  }
  get self() {
    return dayjs;
  }
  setLocale(locale) {
    this.useLocale(locale);
    this.self.locale(locale);
    this.locale = locale;
  }
  useLocale(locale) {
    if (isBlank(locale)) {
      return assert('Locale cannot be null.');
    }
    importSync(`dayjs/locale/${locale}.js`);
  }
  setTimeZone(timeZone) {
    this.extend('timezone');
    this.self.tz.setDefault(timeZone);
  }
  resetTimezone() {
    this.setTimeZone();
  }
  extend(pluginName) {
    if (isBlank(pluginName)) {
      return assert('Plugin name cannot be null.');
    }
    const {
      default: plugin
    } = importSync(`dayjs/plugin/${pluginName}.js`);
    this.self.extend(plugin);
  }
}, (_descriptor = _applyDecoratedDescriptor(_class.prototype, "locale", [tracked], {
  configurable: true,
  enumerable: true,
  writable: true,
  initializer: function () {
    return 'en';
  }
})), _class);

export { DayjsService as default };
//# sourceMappingURL=dayjs.js.map
